Namespace
library
Image / Tag
mysql:8.0.36
Content Digest
sha256:a532724022429812ec797c285c1b540a644c15e248579c6bfdf12a8fbaab4964
Details
Created

2024-03-26 03:50:44 UTC

Size

167 MB

Content Digest
Environment
GOSU_VERSION

1.17

MYSQL_MAJOR

8.0

MYSQL_SHELL_VERSION

8.0.36-1.el8

MYSQL_VERSION

8.0.36-1.el8

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:bd37f6d992035c9959b83f8f96b15cac9d66542a608f378e6e97c17830b72d80 - 29.37% (48.9 MB)

[#001] sha256:d2433cba0951b4278a867dc36ff9ca8ce6405dc72cdd4e90cd71cadb4b9448a9 - 0.0% (884 Bytes)

[#002] sha256:13702d9fe3c31adcdb0b085079474a26bce3991b1485688db0aadbd826debb0a - 0.56% (960 KB)

[#003] sha256:83bcc87284a1da178d692381d8e66cd94663aba8402e75d63a41496dc6554924 - 2.63% (4.39 MB)

[#004] sha256:c38d8660e1fa1d6fc47ea2236ac9b43e158d804e6f8eeb99cf97a54f4a181199 - 0.0% (2.54 KB)

[#005] sha256:7e1bc321f421360243b3a183ec0b93f6e82619bd649ece77a275f7913391c4c8 - 0.0% (334 Bytes)

[#006] sha256:bddd54b9c54941036b01188f0ffda84f03bb0804655111c31437d64fb6eb6942 - 33.48% (55.8 MB)

[#007] sha256:4eaae1e844acce67a77bab16b33f4e674cee523bf63fe968431a61d873e1dbe3 - 0.0% (316 Bytes)

[#008] sha256:5196e1e87d8faf6bd8f3f1345cf3c351d6257786a1544e5df427b38196cbf906 - 33.95% (56.6 MB)

[#009] sha256:6586d096303c7e53b0fbaee28c83a1fbdb727694d2ad358bc3a6b24ce975bbd6 - 0.0% (5.06 KB)

[#010] sha256:cf55ff1c80afe9b3de87da1a45d54a12cefebb238605357f8f6039a442e17749 - 0.0% (122 Bytes)


History
2024-03-26 03:50:44 UTC

/bin/sh -c #(nop) ADD file:c53be7373aad45b6ab1d0accc144396269617e0efcd2892e9521c25fe73fd71e in /

2024-03-26 03:50:44 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; groupadd --system --gid 999 mysql; useradd --system --uid 999 --gid 999 --home-dir /var/lib/mysql --no-create-home mysql # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

ENV GOSU_VERSION=1.17

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(uname -m)"; case "$arch" in aarch64) gosuArch='arm64' ;; x86_64) gosuArch='amd64' ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o /usr/local/bin/gosu.asc "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch.asc"; curl -fL -o /usr/local/bin/gosu "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys B42F6819007F00F88E364FD4036A9C25BF357DD4; gpg --batch --verify /usr/local/bin/gosu.asc /usr/local/bin/gosu; rm -rf "$GNUPGHOME" /usr/local/bin/gosu.asc; chmod +x /usr/local/bin/gosu; gosu --version; gosu nobody true # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install -y bzip2 gzip openssl xz zstd findutils ; microdnf clean all # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; key='BCA4 3417 C3B4 85DD 128E C6D4 B7B3 B788 A8D3 785C'; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; gpg --batch --export --armor "$key" > /etc/pki/rpm-gpg/RPM-GPG-KEY-mysql; rm -rf "$GNUPGHOME" # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

ENV MYSQL_MAJOR=8.0

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

ENV MYSQL_VERSION=8.0.36-1.el8

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eu; { echo '[mysql8.0-server-minimal]'; echo 'name=MySQL 8.0 Server Minimal'; echo 'enabled=1'; echo 'baseurl=https://repo.mysql.com/yum/mysql-8.0-community/docker/el/8/$basearch/'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-minimal.repo # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install -y "mysql-community-server-minimal-$MYSQL_VERSION"; microdnf clean all; grep -F 'socket=/var/lib/mysql/mysql.sock' /etc/my.cnf; sed -i 's!^socket=.*!socket=/var/run/mysqld/mysqld.sock!' /etc/my.cnf; grep -F 'socket=/var/run/mysqld/mysqld.sock' /etc/my.cnf; { echo '[client]'; echo 'socket=/var/run/mysqld/mysqld.sock'; } >> /etc/my.cnf; ! grep -F '!includedir' /etc/my.cnf; { echo; echo '!includedir /etc/mysql/conf.d/'; } >> /etc/my.cnf; mkdir -p /etc/mysql/conf.d; mkdir -p /var/lib/mysql /var/run/mysqld; chown mysql:mysql /var/lib/mysql /var/run/mysqld; chmod 1777 /var/lib/mysql /var/run/mysqld; mkdir /docker-entrypoint-initdb.d; mysqld --version; mysql --version # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eu; { echo '[mysql-tools-community]'; echo 'name=MySQL Tools Community'; echo 'baseurl=https://repo.mysql.com/yum/mysql-tools-community/el/8/$basearch/'; echo 'enabled=1'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-tools.repo # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

ENV MYSQL_SHELL_VERSION=8.0.36-1.el8

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install -y "mysql-shell-$MYSQL_SHELL_VERSION"; microdnf clean all; mysqlsh --version # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

VOLUME [/var/lib/mysql]

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/local/bin/ # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c ln -s usr/local/bin/docker-entrypoint.sh /entrypoint.sh # backwards compat # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

EXPOSE map[3306/tcp:{} 33060/tcp:{}]

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

CMD ["mysqld"]

Details
Created

2024-03-26 03:50:44 UTC

Size

170 MB

Content Digest
Environment
GOSU_VERSION

1.17

MYSQL_MAJOR

8.0

MYSQL_SHELL_VERSION

8.0.36-1.el8

MYSQL_VERSION

8.0.36-1.el8

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c6a0976a2dbedfeb9ad1ab09e887e49a58ae8bc68480745fc5d1a97c201cda78 - 28.06% (47.8 MB)

[#001] sha256:8dd4f8e415ca18dc0ceb9fb0cc7ce91b49cb4a4df85151ed7f3ac2a61ddb2012 - 0.0% (882 Bytes)

[#002] sha256:6e01a6ece3afbc5e9bbbcf1d8150dc3de9ac2b3ab6d578ac17d120a0a62f6c75 - 0.51% (892 KB)

[#003] sha256:6cfdeffd91404630ce8145820b88429909e3310d33ddac4cf26ae972b210360b - 2.41% (4.1 MB)

[#004] sha256:73fed55ee93c9e222231cb00f47e3c950d52db4ab075c39b00af2e9667efc387 - 0.0% (2.54 KB)

[#005] sha256:39c3b4c317a626ac71a230ee380929ac66890b508707d5e1e0f2fa421c58f748 - 0.0% (331 Bytes)

[#006] sha256:de375e24a2a756dfe46e90b5550b0936ef1de80638610bcc50d00a7c74d80e02 - 32.26% (54.9 MB)

[#007] sha256:d5ad96b86b999adf6ca6e6024b70cebcbbbeff16c9ac92d318368708ec2b932c - 0.0% (315 Bytes)

[#008] sha256:5241e2cffaa1aca95241e9c0c95b918c337f500f182b843cac330761010bc0a3 - 36.75% (62.6 MB)

[#009] sha256:4e39d469d2ab5ba6dca5786bd011425e90c60f3cd1781d62f67d880d618b1087 - 0.0% (5.06 KB)

[#010] sha256:f718345410af26023ee97b279b5cc5f69134804309c8dd147538594d7aced234 - 0.0% (122 Bytes)


History
2024-03-26 03:50:44 UTC

/bin/sh -c #(nop) ADD file:a0ae0c9fd36b325bb47e6dfda7b2f31a63d9b28ca3352bf4aa4aa8819940f1de in /

2024-03-26 03:50:44 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; groupadd --system --gid 999 mysql; useradd --system --uid 999 --gid 999 --home-dir /var/lib/mysql --no-create-home mysql # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

ENV GOSU_VERSION=1.17

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(uname -m)"; case "$arch" in aarch64) gosuArch='arm64' ;; x86_64) gosuArch='amd64' ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o /usr/local/bin/gosu.asc "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch.asc"; curl -fL -o /usr/local/bin/gosu "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys B42F6819007F00F88E364FD4036A9C25BF357DD4; gpg --batch --verify /usr/local/bin/gosu.asc /usr/local/bin/gosu; rm -rf "$GNUPGHOME" /usr/local/bin/gosu.asc; chmod +x /usr/local/bin/gosu; gosu --version; gosu nobody true # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install -y bzip2 gzip openssl xz zstd findutils ; microdnf clean all # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; key='BCA4 3417 C3B4 85DD 128E C6D4 B7B3 B788 A8D3 785C'; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; gpg --batch --export --armor "$key" > /etc/pki/rpm-gpg/RPM-GPG-KEY-mysql; rm -rf "$GNUPGHOME" # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

ENV MYSQL_MAJOR=8.0

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

ENV MYSQL_VERSION=8.0.36-1.el8

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eu; { echo '[mysql8.0-server-minimal]'; echo 'name=MySQL 8.0 Server Minimal'; echo 'enabled=1'; echo 'baseurl=https://repo.mysql.com/yum/mysql-8.0-community/docker/el/8/$basearch/'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-minimal.repo # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install -y "mysql-community-server-minimal-$MYSQL_VERSION"; microdnf clean all; grep -F 'socket=/var/lib/mysql/mysql.sock' /etc/my.cnf; sed -i 's!^socket=.*!socket=/var/run/mysqld/mysqld.sock!' /etc/my.cnf; grep -F 'socket=/var/run/mysqld/mysqld.sock' /etc/my.cnf; { echo '[client]'; echo 'socket=/var/run/mysqld/mysqld.sock'; } >> /etc/my.cnf; ! grep -F '!includedir' /etc/my.cnf; { echo; echo '!includedir /etc/mysql/conf.d/'; } >> /etc/my.cnf; mkdir -p /etc/mysql/conf.d; mkdir -p /var/lib/mysql /var/run/mysqld; chown mysql:mysql /var/lib/mysql /var/run/mysqld; chmod 1777 /var/lib/mysql /var/run/mysqld; mkdir /docker-entrypoint-initdb.d; mysqld --version; mysql --version # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eu; { echo '[mysql-tools-community]'; echo 'name=MySQL Tools Community'; echo 'baseurl=https://repo.mysql.com/yum/mysql-tools-community/el/8/$basearch/'; echo 'enabled=1'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-tools.repo # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

ENV MYSQL_SHELL_VERSION=8.0.36-1.el8

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install -y "mysql-shell-$MYSQL_SHELL_VERSION"; microdnf clean all; mysqlsh --version # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

VOLUME [/var/lib/mysql]

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/local/bin/ # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c ln -s usr/local/bin/docker-entrypoint.sh /entrypoint.sh # backwards compat # buildkit

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

EXPOSE map[3306/tcp:{} 33060/tcp:{}]

2024-03-26 03:50:44 UTC (buildkit.dockerfile.v0)

CMD ["mysqld"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete